VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Types | Public Member Functions | Public Attributes | List of all members
MouseWheelEvent Struct Reference
Version 4.11

MouseWheelEvent. More...

Inheritance diagram for MouseWheelEvent:

## Public Types
enum | Flags : uint32_t { DirectionInvertedFromDevice = 1 << 0, PreciseDeltas = 1 << 1 }

## Public Member Functions
| MouseWheelEvent ()

## Public Attributes
CCoord | deltaX {0.}
CCoord | deltaY {0.}
uint32_t | flags {0}
Public Attributes inherited from MousePositionEvent
CPoint | mousePosition
Public Attributes inherited from ModifierEvent
Modifiers | modifiers {}
| pressed modifiers
Public Attributes inherited from Event
EventType | type {EventType::Unknown}
| Type.
uint64_t | id
| Unique ID.
uint64_t | timestamp
| Timestamp.
EventConsumeState | consumed
| Consumed? If this is true, event dispatching is stopped.

## Detailed Description

MouseWheelEvent.

## Member Enumeration Documentation

enum Flags : uint32_t

Enumerator
DirectionInvertedFromDevice | deltaX and deltaY are inverted
PreciseDeltas | indicates a precise scroll event where deltaX and deltaY are multiplied by 0.1. If you divide the deltas by 0.1 you will get exact pixel movement.

## Constructor & Destructor Documentation

MouseWheelEvent | ( |  | ) |
| inline

## Member Data Documentation

CCoord deltaX {0.}

CCoord deltaY {0.}

uint32_t flags {0}

The documentation for this struct was generated from the following file:

- events.h